/************************************************
                Blog Page
************************************************/
.page-hero{
position:relative;
overflow:hidden;
padding: 20px;
margin:0px auto 70px;
background:
linear-gradient(135deg,#fbf7f2,#f3e6d8);
border:1px solid var(--border);
}

.page-hero::before{
content:"";
position:absolute;
width:420px;
height:420px;
right:-120px;
top:-120px;
border-radius:50%;
background:rgba(255,255,255,.5);
filter:blur(10px);
}

.page-hero::after{
content:"";
position:absolute;
width:320px;
height:320px;
left:-90px;
bottom:-120px;
border-radius:50%;
background:#efe3d3;
filter:blur(15px);
}

.page-hero-content{
position:relative;
z-index:2;
max-width:700px;
margin:auto;
text-align:center;
}

.page-hero-subtitle{
display:inline-block;
font-size:13px;
letter-spacing:5px;
text-transform:uppercase;
color:var(--primary);
margin-bottom:18px;
font-weight:700;
}

.page-hero-title{
font-size:50px;
margin:0;
color:var(--title);
font-weight:800;
}

.page-hero-desc{
font-size:17px;
line-height:2.1;
max-width:650px;
color:var(--text);
}

.page-hero-breadcrumb{
display:inline-flex;
align-items:center;
gap:12px;
padding:12px 25px;
border-radius:50px;
background:#ffffff80;
border:1px solid var(--border);
}

.page-hero-breadcrumb a{
text-decoration:none;
color:var(--text);
}

.page-hero-breadcrumb strong{
color:var(--primary);
}

.page-hero-breadcrumb span{
width:5px;
height:5px;
border-radius:50%;
background:var(--primary);
}


/***********************
        BLOG
************************/

.blog-wrapper{
    max-width:1400px;
    margin:70px auto;
    padding:0 15px;
}

.blog-wrapper .container{
    display:grid;
    grid-template-columns:repeat(2,minmax(0,1fr));
    gap:30px;
}

/* کارت */

.blog-card{
    background:#fff;
    border:1px solid var(--border);
    border-radius:24px;
    overflow:hidden;
    transition:.35s;
}

.blog-card:hover{
    transform:translateY(-8px);
    box-shadow:0 18px 40px rgba(0,0,0,.08);
    border-color:var(--primary);
}

.blog-content-wrapper{
    display:flex;
    flex-direction:row-reverse;
    height:100%;
}

/* عکس */

.blog-thumbnail-wrapper{
    width:42%;
    flex-shrink:0;
    overflow:hidden;
}

.blog-thumbnail-wrapper a{
    display:block;
    height:100%;
}

.blog-thumbnail-wrapper img{
    width:100%;
    height:100%;
    object-fit:cover;
    display:block;
    transition:.5s;
}

.blog-card:hover img{
    transform:scale(1.08);
}

/* متن */

.blog-text-content{
    width:58%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    padding:28px;
}

.blog-title{
    margin:0 0 14px;
    font-size:24px;
    line-height:1.8;
    font-weight:700;
}

.blog-title a{
    color:var(--title);
    text-decoration:none;
    transition:.3s;
}

.blog-title a:hover{
    color:var(--primary);
}

.blog-meta{
    display:flex;
    align-items:center;
    gap:10px;
    font-size:13px;
    color:#8b8177;
    margin-bottom:18px;
}

.blog-excerpt{
    color:var(--text);
    line-height:2;
    font-size:15px;
    margin-bottom:25px;

    display:-webkit-box;
    -webkit-line-clamp:3;
    -webkit-box-orient:vertical;
    overflow:hidden;
}

/* دکمه */

.read-more-btn{
    margin-top:auto;
    align-self:flex-start;

    display:inline-flex;
    align-items:center;
    gap:8px;

    padding:12px 22px;

    border-radius:50px;

    background:var(--primary);
    color:#fff;
    text-decoration:none;
    font-size:14px;
    font-weight:600;

    transition:.3s;
}

.read-more-btn::after{
    content:"←";
    transition:.3s;
}

.read-more-btn:hover{
    transform:translateX(-4px);
}

.read-more-btn:hover::after{
    transform:translateX(-5px);
}

/* ریسپانسیو */
/*==============================
        Tablet
==============================*/
@media (max-width:768px){

.page-hero{
    margin-bottom:40px;
    padding:45px 20px;
}

.page-hero-title{
    font-size:38px;
}

.page-hero-desc{
    font-size:15px;
    line-height:2;
}

.blog-wrapper{
    margin:40px auto;
}

.blog-wrapper .container{
    grid-template-columns:1fr;
    gap:20px;
}

.blog-content-wrapper{
    flex-direction:column;
}

.blog-thumbnail-wrapper{
    width:100%;
    height:260px;
}

.blog-text-content{
    width:90%;
    padding:22px;
}
.blog-excerpt p{
    margin:0;
    color:var(--text);
    line-height:2;
    font-size:15px;

    display:-webkit-box;
    -webkit-box-orient:vertical;
    -webkit-line-clamp:3;
    overflow:hidden;
}
}


/*==============================
        Mobile
==============================*/
